Please whitelist cPanel in your adblocker so that you’re able to see our version release promotions, thanks!

The Community Forums

Interact with an entire community of cPanel & WHM users!

Help about Kernel and Centos

Discussion in 'General Discussion' started by emeric21, Jan 13, 2005.

  1. emeric21

    emeric21 Well-Known Member

    Joined:
    Aug 5, 2002
    Messages:
    49
    Likes Received:
    0
    Trophy Points:
    156
    I used this thread to upgrade my RH9 to Centos 3
    http://forums.cpanel.net/showthread.php?p=163686#post163686

    i get this error when i run yum:
    My big problem is the Kernel.
    I still have 2.4.20-31.9!

    On Yum log, i can read:
    Someone can help me to upgrade my kernel to 2.6.x?
    How i can know if Centos is correcly installed on my server (command to run)?

    Thanks,
     
  2. dalem

    dalem Well-Known Member
    PartnerNOC

    Joined:
    Oct 24, 2003
    Messages:
    2,772
    Likes Received:
    93
    Trophy Points:
    353
    Location:
    SLC
    cPanel Access Level:
    DataCenter Provider
    if you are using YUM

    its yum update


    and to configure yum

    pico /etc/yum.conf
     
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
  3. emeric21

    emeric21 Well-Known Member

    Joined:
    Aug 5, 2002
    Messages:
    49
    Likes Received:
    0
    Trophy Points:
    156
    My Yum is like this. I must change someting?
     
    #3 emeric21, Jan 13, 2005
    Last edited: Jan 13, 2005
  4. dalem

    dalem Well-Known Member
    PartnerNOC

    Joined:
    Oct 24, 2003
    Messages:
    2,772
    Likes Received:
    93
    Trophy Points:
    353
    Location:
    SLC
    cPanel Access Level:
    DataCenter Provider
    that looks fine mine has a few more in the exclude file and I would include the kernel after you have updated it

    the current kenel for your system is kernel-0-2.4.21-20.0.1. you could check their web page to be sure your not going to get a 2.6 for centos using Yum

    it will install automaticly
     
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
  5. Aric1

    Aric1 Well-Known Member

    Joined:
    Oct 15, 2003
    Messages:
    324
    Likes Received:
    0
    Trophy Points:
    166
    cPanel Access Level:
    DataCenter Provider
    Red Hat Enterprise Linux 3.x and thus CentOS 3.x use the 2.4.x kernels. If you want 2.6 on CentOS 3.x you need to compile it manually.
     
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
  6. emeric21

    emeric21 Well-Known Member

    Joined:
    Aug 5, 2002
    Messages:
    49
    Likes Received:
    0
    Trophy Points:
    156
    Thanks.

    Normaly i should have kernel-2.4.21-27.0.1.EL.
    But mine is kernel 2.4.20-31.9

    How i can fix that?
     
Loading...

Share This Page

  1. This site uses cookies to help personalise content, tailor your experience and to keep you logged in if you register.
    By continuing to use this site, you are consenting to our use of cookies.
    Dismiss Notice